# coding: utf-8

"""
    DLCM-Solution

    DLCM application wrapping all modules, All-In-One  # noqa: E501

    The version of the OpenAPI document: 2.1.1
    Contact: eresearch-opensource@unige.ch
    Generated by: https://openapi-generator.tech
"""


from setuptools import setup, find_packages  # noqa: H301

NAME = "dlcm-api"
VERSION = "2.1.1"
# To install the library, run the following
#
# python setup.py install
#
# prerequisite: setuptools
# http://pypi.python.org/pypi/setuptools

REQUIRES = ["urllib3 >= 1.15", "six >= 1.10", "certifi", "python-dateutil"]

with open("README.md", "r") as fh:
    full_readme = fh.read()
    truncated_readme = full_readme.split('### Setuptools')[0].replace('git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git', 'dlcm-api')
    truncated_readme = truncated_readme.replace('If the python package is hosted on a repository, y', 'Y')
    long_description = truncated_readme + "\n ### Documentation\n The documentation can be accessed through [the REAMDE of the project's gitlab repository.](https://gitlab.unige.ch/dlcm/community/dlcm-python-api)"

setup(
    name=NAME,
    version=VERSION,
    description="DLCM application wrapping all modules, All-In-One",
    long_description=long_description,
    long_description_content_type="text/markdown",
    author="University of Geneva",
    author_email="eresearch-opensource@unige.ch",
    url="https://gitlab.unige.ch/dlcm/community/dlcm-python-api",
    keywords=["OpenAPI", "OpenAPI-Generator", "DLCM-Solution", "Digital Preservation"],
    install_requires=REQUIRES,
    license="GPL-2.0-or-later",
    classifiers=[
        "License :: OSI Approved :: GNU General Public License v2 or later (GPLv2+)",
        "Programming Language :: Python :: 3",
        "Operating System :: OS Independent",
        "Topic :: System :: Archiving"
    ],
    packages=find_packages(exclude=["test", "tests"]),
    include_package_data=True,
)
